Legacy (v0)
Bulk reorder favorites
Moves several of your favorites to new positions in one call and returns your full favorites list in its new order. Favorites that are not yours are ignored. Favorites always belong to the membership of the token’s user in the current company; the {user_company_id} segment does not select another member. Requires permission to update users.
PATCH
/
api
/
user_companies
/
{user_company_id}
/
favorites
/
bulk_reorder
Bulk reorder favorites
curl --request PATCH \
--url https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"favorites": [
{
"id": 7742,
"order": 1
},
{
"id": 7741,
"order": 2
}
]
}
'import requests
url = "https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder"
payload = { "favorites": [
{
"id": 7742,
"order": 1
},
{
"id": 7741,
"order": 2
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({favorites: [{id: 7742, order: 1}, {id: 7741, order: 2}]})
};
fetch('https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'favorites' => [
[
'id' => 7742,
'order' => 1
],
[
'id' => 7741,
'order' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder"
payload := strings.NewReader("{\n \"favorites\": [\n {\n \"id\": 7742,\n \"order\": 1\n },\n {\n \"id\": 7741,\n \"order\": 2\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"favorites\": [\n {\n \"id\": 7742,\n \"order\": 1\n },\n {\n \"id\": 7741,\n \"order\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"favorites\": [\n {\n \"id\": 7742,\n \"order\": 1\n },\n {\n \"id\": 7741,\n \"order\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body[
{
"id": 7742,
"user_company_id": 48213,
"order": 1,
"created_at": "2026-09-19T10:02:47Z",
"favoriteable_type": "Medium",
"favoriteable": {
"id": 30518,
"title": "Why Dunder Mifflin Paper?",
"slug": "why-dunder-mifflin-paper",
"kind": "video",
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg"
}
},
{
"id": 7741,
"user_company_id": 48213,
"order": 2,
"created_at": "2026-09-18T16:20:04Z",
"favoriteable_type": "Product",
"favoriteable": {
"id": 48213,
"title": "Dunder Mifflin 20lb Copy Paper",
"slug": "20lb-copy-paper",
"sku": "DM-20LB-CASE",
"price": "54.99",
"image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg",
"active": true
}
}
]"<string>"{
"message": "<string>"
}Response
Success
⌘I
Bulk reorder favorites
curl --request PATCH \
--url https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"favorites": [
{
"id": 7742,
"order": 1
},
{
"id": 7741,
"order": 2
}
]
}
'import requests
url = "https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder"
payload = { "favorites": [
{
"id": 7742,
"order": 1
},
{
"id": 7741,
"order": 2
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({favorites: [{id: 7742, order: 1}, {id: 7741, order: 2}]})
};
fetch('https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'favorites' => [
[
'id' => 7742,
'order' => 1
],
[
'id' => 7741,
'order' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder"
payload := strings.NewReader("{\n \"favorites\": [\n {\n \"id\": 7742,\n \"order\": 1\n },\n {\n \"id\": 7741,\n \"order\": 2\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"favorites\": [\n {\n \"id\": 7742,\n \"order\": 1\n },\n {\n \"id\": 7741,\n \"order\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/user_companies/{user_company_id}/favorites/bulk_reorder")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"favorites\": [\n {\n \"id\": 7742,\n \"order\": 1\n },\n {\n \"id\": 7741,\n \"order\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body[
{
"id": 7742,
"user_company_id": 48213,
"order": 1,
"created_at": "2026-09-19T10:02:47Z",
"favoriteable_type": "Medium",
"favoriteable": {
"id": 30518,
"title": "Why Dunder Mifflin Paper?",
"slug": "why-dunder-mifflin-paper",
"kind": "video",
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg"
}
},
{
"id": 7741,
"user_company_id": 48213,
"order": 2,
"created_at": "2026-09-18T16:20:04Z",
"favoriteable_type": "Product",
"favoriteable": {
"id": 48213,
"title": "Dunder Mifflin 20lb Copy Paper",
"slug": "20lb-copy-paper",
"sku": "DM-20LB-CASE",
"price": "54.99",
"image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg",
"active": true
}
}
]"<string>"{
"message": "<string>"
}